Package com.enonic.xp.task

## Class TaskInfo

- java.lang.Object
- - com.enonic.xp.task.TaskInfo

- All Implemented Interfaces:
    `Serializable`

      @PublicApi
      public final class TaskInfo
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TaskInfo.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskInfo.Builder` | `copy()` |
    `static TaskInfo.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `ApplicationKey` | `getApplication()` |
    `String` | `getDescription()` |
    `TaskId` | `getId()` |
    `String` | `getName()` |
    `ClusterNodeId` | `getNode()` |
    `TaskProgress` | `getProgress()` |
    `Instant` | `getStartTime()` |
    `TaskState` | `getState()` |
    `PrincipalKey` | `getUser()` |
    `int` | `hashCode()` |
    `boolean` | `isDone()` |
    `boolean` | `isRunning()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public TaskId getId()

    - #### getName

          public String getName()

    - #### getDescription

          public String getDescription()

    - #### getState

          public TaskState getState()

    - #### isRunning

          public boolean isRunning()

    - #### isDone

          public boolean isDone()

    - #### getProgress

          public TaskProgress getProgress()

    - #### getApplication

          public ApplicationKey getApplication()

    - #### getUser

          public PrincipalKey getUser()

    - #### getStartTime

          public Instant getStartTime()

    - #### getNode

          public ClusterNodeId getNode()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### copy

          public TaskInfo.Builder copy()

    - #### create

          public static TaskInfo.Builder create()